Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.addon.compliance.Preflight Class Reference
Inheritance diagram for com.foxit.sdk.addon.compliance.Preflight:

## Public Member Functions
| Preflight ()
| Constructor.
| Preflight (Preflight other)
| Constructor, with another preflight object. More...
void | analyze (PreflightSettingData preflight_setting_data, ProgressCallback progress_callback) throws com.foxit.sdk.PDFException
| Analyze a PDF file. More...
void | analyzeAndFixup (PreflightSettingData preflight_setting_data, ProgressCallback progress_callback) throws com.foxit.sdk.PDFException
| Analyze and fixup a PDF file. More...
boolean | canFixup (String item_key) throws com.foxit.sdk.PDFException
| Check whether the item key can be fixuped or not. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
boolean | generateReport (PreflightReportSettingData preflight_report_setting_data, ProgressCallback progress_callback) throws com.foxit.sdk.PDFException
| Generate report after analyzing or fixing. More...
java.util.ArrayList< java.lang.String > | getGroupNamesArray (int library_type, int operate_type) throws com.foxit.sdk.PDFException
| Get all group names array corresponding to the library type and operation type. More...
java.util.ArrayList< java.lang.String > | getItemKeysArray (String group_name) throws com.foxit.sdk.PDFException
| Get item keys array with the specific group name. More...
boolean | isEmpty ()
| Check whether current object is empty or not. More...
Public Member Functions inherited from com.foxit.sdk.common.Base
synchronized void | delete ()
| Clean up related C++ resources immediately. More...

## Detailed Description

This class represents the analysis and fix-up functions that match a specified industry profile and performs checks or fix-ups.

## Constructor & Destructor Documentation

## ◆ Preflight()

com.foxit.sdk.addon.compliance.Preflight.Preflight | ( | Preflight | other | ) |

Constructor, with another preflight object.

Parameters

  [in] | other | Another preflight object.

## Member Function Documentation

## ◆ analyze()

void com.foxit.sdk.addon.compliance.Preflight.analyze | ( | PreflightSettingData | preflight_setting_data,
|  | ProgressCallback | progress_callback
| ) |  | throws com.foxit.sdk.PDFException

Analyze a PDF file.

Parameters

  [in] | preflight_setting_data | The preflight setting data.
  [in] | progress_callback | A ProgressCallback object which is implemented by user and can be used to get progress data.

Returns
  None.

## ◆ analyzeAndFixup()

void com.foxit.sdk.addon.compliance.Preflight.analyzeAndFixup | ( | PreflightSettingData | preflight_setting_data,
|  | ProgressCallback | progress_callback
| ) |  | throws com.foxit.sdk.PDFException

Analyze and fixup a PDF file.

Parameters

  [in] | preflight_setting_data | The preflight setting data.
  [in] | progress_callback | A ProgressCallback object which is implemented by user and can be used to get progress data.

Returns
  None.

## ◆ canFixup()

boolean com.foxit.sdk.addon.compliance.Preflight.canFixup | ( | String | item_key | ) | throws com.foxit.sdk.PDFException

Check whether the item key can be fixuped or not.

Parameters

  [in] | item_key | The item key. It can be retrieved by Preflight.getItemKeysArray .

Returns
  true means can be fixuped, while false means can not be fixuped.

## ◆ delete()

synchronized void com.foxit.sdk.addon.compliance.Preflight.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ generateReport()

boolean com.foxit.sdk.addon.compliance.Preflight.generateReport | ( | PreflightReportSettingData | preflight_report_setting_data,
|  | ProgressCallback | progress_callback
| ) |  | throws com.foxit.sdk.PDFException

Generate report after analyzing or fixing.

Parameters

  [in] | preflight_report_setting_data | The preflight report setting data.
  [in] | progress_callback | A ProgressCallback object which is implemented by user and can be used to get progress data.

Returns
  true means success, while false means failure.

## ◆ getGroupNamesArray()

java.util.ArrayList< java.lang.String > com.foxit.sdk.addon.compliance.Preflight.getGroupNamesArray | ( | int | library_type,
|  | int | operate_type
| ) |  | throws com.foxit.sdk.PDFException

Get all group names array corresponding to the library type and operation type.

Parameters

  [in] | library_type | The library type. Please refer to values starting from com.foxit.sdk.addon.compliance.PreflightSettingData.e_LibraryTypeFoxit and this should be one of these values.
  [in] | operate_type | The operate type. Please refer to values starting from com.foxit.sdk.addon.compliance.PreflightSettingData.e_OperateTypeProfiles and this should be one of these values.

Returns
  The group names array.

## ◆ getItemKeysArray()

java.util.ArrayList< java.lang.String > com.foxit.sdk.addon.compliance.Preflight.getItemKeysArray | ( | String | group_name | ) | throws com.foxit.sdk.PDFException

Get item keys array with the specific group name.

Parameters

  [in] | group_name | The group name which can obtain from the function Preflight.getGroupNamesArray .

Returns
  The item keys array.

## ◆ isEmpty()

boolean com.foxit.sdk.addon.compliance.Preflight.isEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.